Managing Prospects

List personal prospects

get
Query parameters
searchKeywordstring · nullableOptional

Search in names and emails.

pagenumberRequired

Page number for paginated results.

Default: 1Example: 1
limitnumber · max: 100Required

Number of prospects per page.

Default: 10Example: 10
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Responses
chevron-right
200

List of personal prospects available to the partner

application/json
objectOptional
and
get
/v1/partner/prospects/personal

Update personal prospect partially

patch
Path parameters
prospectIdstringRequired
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Body
firstNamestring · nullableOptionalExample: John
middleNamestring · nullableOptionalExample: James
lastNamestring · nullableOptionalExample: Doe
emailstring · nullableOptionalExample: [email protected]
addressone of · nullableOptional
or
dateOfBirthstring · date · nullableOptional
phoneNumberstring · nullableOptional

Phone number with no special characters or spaces

Example: +447101231111
identificationNumberstring · nullableOptional

National Id Number, SSN or similar

Responses
chevron-right
200

Updates a personal prospect partially.

application/json
idstring · uuidRequired

Unique identifier of the account

Example: a2b9649e-df7f-4349-adff-1c57283fef10
externalReferencestring · nullableRequired

External unique reference on partners platform

firstNamestring · nullableRequiredExample: John
middleNamestring · nullableRequiredExample: James
lastNamestring · nullableRequiredExample: Doe
emailstringRequiredExample: [email protected]
addressone of · nullableOptional
or
dateOfBirthstring · date · nullableRequired
phoneNumberstring · nullableRequiredExample: +447101231111
createDatestring · date-timeRequired
identificationNumberstring · nullableOptional
patch
/v1/partner/prospects/personal/{prospectId}

Get personal prospect by id

get
Path parameters
prospectIdstringRequired
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Responses
chevron-right
200

Get personal prospects by id.

application/json
idstring · uuidRequired

Unique identifier of the account

Example: a2b9649e-df7f-4349-adff-1c57283fef10
externalReferencestring · nullableRequired

External unique reference on partners platform

firstNamestring · nullableRequiredExample: John
middleNamestring · nullableRequiredExample: James
lastNamestring · nullableRequiredExample: Doe
emailstringRequiredExample: [email protected]
addressone of · nullableOptional
or
dateOfBirthstring · date · nullableRequired
phoneNumberstring · nullableRequiredExample: +447101231111
createDatestring · date-timeRequired
identificationNumberstring · nullableOptional
get
/v1/partner/prospects/personal/{prospectId}

Get personal prospect by externalId

get
Path parameters
externalReferencestringRequired
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Responses
chevron-right
200

Get personal prospects by externalId.

application/json
idstring · uuidRequired

Unique identifier of the account

Example: a2b9649e-df7f-4349-adff-1c57283fef10
externalReferencestring · nullableRequired

External unique reference on partners platform

firstNamestring · nullableRequiredExample: John
middleNamestring · nullableRequiredExample: James
lastNamestring · nullableRequiredExample: Doe
emailstringRequiredExample: [email protected]
addressone of · nullableOptional
or
dateOfBirthstring · date · nullableRequired
phoneNumberstring · nullableRequiredExample: +447101231111
createDatestring · date-timeRequired
identificationNumberstring · nullableOptional
get
/v1/partner/prospects/personal/externalReference/{externalReference}

Last updated

Was this helpful?